Логотипы Firefox

Возможно ли включить устаревшие расширения в Firefox?

Если вы до последнего момента пребывали в счастливом неведенье о том, что с Firefox 57 Mozilla отключит все устаревшие расширения, то радость обновления до широко разрекламированного Firefox Quantum у вас быстро могла сойти на нет.

Поняв, что что-то не так и заглянув в менеджер расширений, вы увидите: всех или многих из ваших модулей там больше просто нет. Вместо них красуется надпись: «Что-то отсутствует? Некоторые расширения больше не поддерживаются Firefox».

Устаревшие расширения не отображаются в Firefox 57 и выше

Клик по ссылке «показать устаревшие расширения» отобразит то, что у вас было, но включить расширения не получится.

Устаревшие расширения в Firefox

Как видите, у нас список увесистый. Сюда только из известных попали Tab Mix Plus, Менеджер сессий, FindBar Tweak, FireGestures, Location Bar Enhancer, Tab Groups, Thumbnail Zoom Plus и загрузчик музыки VK Universal Downloader. Это лишь наши потери. На практике Firefox потерял тысячи дополнений.

Юзеру предлагается либо удалить неподдерживаемые расширения или же «найти замену». Изредка этот механизм срабатывает.

Например, для Thumbnail Zoom Plus он выдаёт вполне приемлемую альтернативу в виде Imagus. Однако гораздо чаще выдаётся либо что-то совсем неподходящее, либо общий список расширений.

Увы, включить устаревшие расширения в Firefox 57 или выше нельзя. Выбор у пользователя остаётся весьма скромный.

Не обновляйтесь или используйте старую версию Firefox

  • Если вы ещё не обновились на версию 57 и выше: отключите обновление в настройках браузера;

Запрет автообновления Firefox

  • Если обновление уже произошло, то скачайте и установите в другую папку предыдущую версию 56 и сразу же отключите в ней автоапдейт;
  • Также можно остаться на версиях Firefox 52, что относятся к ESR. Это версии с расширенный сроком поддержки. Отключать обновление здесь не нужно.
См.также -   Ошибка: «извините, но Firefox не может быть установлен. Для работы требуется Windows 7 или выше»

ESR сборки примечательны тем, что разработчики будут исправлять в них баги и закрывать уязвимости значительно дольше, чем для FF 56 и любой другой не ESR-редакции браузера.

Firefox 52 ESR

То есть оставаться на Firefox 52 ESR лучше, с точки зрения безопасности, чем на 56. Однако есть и неприятный момент: с переносом профиля FF 56-57 на любую версию младше 55 могут возникнуть проблемы. Об этом Mozilla предупреждала непосредственно во время выхода Firefox 55:

При использовании Firefox 55 и выше понижать профиль не рекомендуется

Так что, если у вас много ценной информации, возможно, лучше не рисковать с переходом на ESR. Если же безопасность вам дороже, и вы предпочтёте в итоге Firefox 52 ESR, то для этой версии перед первым запуском браузера можно создать новый профиль.

Используйте offline-инсталлятор для установки новой копии Firefox в отдельную папку и не забудьте снять там опцию, чтобы «огненный лис» не запустился автоматически после инсталляции. Иначе он подхватит ваш текущий профиль. Когда установка будет завершена добавьте к появившемуся ярлыку « -p -no-remote»:

Изменение свойств ярлыка Firefox для запуска менеджера профилей

Тогда при клике по иконке вместо запуска браузера сперва стартует менеджер, где и можно будет создать новый отдельный профиль для версии 52 ESR. Позже вы будете выбирать его каждый раз при клике по этому ярлыку Firefox.

Устаревшие расширения можно включить в Firefox Nightly и Developer Edition?

Пытаясь найти решение своей проблемы, в сети вы, скорее всего, найдёте информацию о том, что старые расширения всё-таки можно включить в Firefox Nightly и Developer Edition (нестабильные тестовые версии браузера). Для этого, мол, всего лишь надо зайти на служебную страницу about:config и двойным кликом перевести там параметр extensions.legacy.enabled в значение true.

Параметр для включения устаревших расширений

Впрочем, не спешите радоваться или тем более уже переходить со стабильных на тестовые, проблемные сборки. Мы проверили этот способ на большой группе расширений и из всего, что мы тестировали заработал лишь Select like a Boss – крошечное расширение для выделения текста посреди ссылок. Его в новых версиях и так можно заменить на Drag-Select Link Text.

См.также -   Панель закладок Firefox

Всё остальное вроде бы и включилось, но большинство модулей просто не работало. Никак. В свою очередь, Tab Mix Plus после включения скрыл по умолчанию кнопку создания новой вкладки и вдобавок сделал невозможным переключение между табами. Его мы тут же отключили. Возможно, появились и другие проблемы, но дальше смотреть мы просто не стали.

Как включить устаревшие расширения Firefox

К слову, сам параметр extensions.legacy.enabled есть и в стабильной версии программы, но, разумеется, здесь он тоже не помогает.

Ещё раз поясним: проблема устаревших расширений связана именно с движком браузера, который разительно обновился с выходом версии 57. Никаких простых решений по их включению здесь, к огромному сожалению, точно не будет. В будущем такого происходить уже не должно, так как у Firefox теперь остаются только слабо зависимые от смены версий расширения WebExtension.

Что же делать сейчас?

Искать альтернативы и… ждать. Многие из авторов расширений успели перевести их на новые «рельсы» лишь совсем незадолго до выхода Firefox Quantum. Это касается, например, Adblock Plus и Greasemonkey. Другие же разработчики ещё только начали свою работу.

Например, авторы вышеупомянутого Tab Mix Plus сейчас собирают отзывы о том, какие из прежних функций в первую очередь реализовывать в новой (ещё не выпущенной) версии расширения, которая была бы совместима с Firefox Quantum. Делают они это потому что им придётся заново написать модуль, содержащий десятки тысяч строк кода.

Безусловно, будет много и тех расширений, которые не переделают под новый Firefox уже никогда. Здесь лишь остаётся искать замену в наполняющемся сейчас заново каталоге Mozilla или ждать, когда она появится, оставаясь на одной из прежних версий браузера.

Краткое содержание
Возможно ли включить устаревшие расширения в Firefox?
Название статьи
Возможно ли включить устаревшие расширения в Firefox?
Описание
Если вы до последнего момента пребывали в счастливом неведенье о том, что с Firefox 57 Mozilla отключит все устаревшие расширения, то радость обновления до широко разрекламированного Firefox Quantum у вас быстро могла сойти на нет. Возможно ли теперь их включить?
Автор
Издатель
Браузер Mozilla Firefox - самый быстрый
Логотип издателя
spacer

Обсудить статью